For the complete documentation index, see llms.txt. This page is also available as Markdown.

Project Access

This endpoint is used to manage team access within a Terrakube project. Project-level permissions are inherited by all workspaces within the project.

Roles

Role
Description

admin

Full control: manage workspaces, plan/approve jobs, manage project team access

write

Manage workspaces, plan and apply jobs

plan

Plan jobs only (cannot approve or apply)

read

Read-only access (no changes allowed)

Entity fields:

Path
Type
Description

data.type

string

Should be "project_access"

data.attributes.name

string

Team name to grant access

data.attributes.role

string

Role: "admin", "write", "plan", or "read"

data.attributes.manageWorkspace

boolean

Permission to create, update, and delete workspaces within the project

data.attributes.manageJob

boolean

Permission to manage jobs within the project

data.attributes.planJob

boolean

Permission to plan jobs within the project

data.attributes.approveJob

boolean

Permission to approve and apply jobs within the project

data.attributes.manageState

boolean

Permission to manage Terraform state within the project

Example:

Supported Operations

get

Returns the relationship projectAccess

Path parameters
organizationIdstringRequired

organization Identifier

projectIdstringRequired

project Identifier

Query parameters
page[number]integerOptional

Number of pages to return. Can be used with page[size]

page[size]integerOptional

Number of elements per page. Can be used with page[number]

page[offset]integerOptional

Offset from 0 to start paginating. Can be used with page[limit]

page[limit]integerOptional

Maximum number of items to return. Can be used with page[offset]

page[totals]stringOptional

For requesting total pages/records be included in the response page meta data

Responses
200

Successful response

application/vnd.api+json
get/organization/{organizationId}/project/{projectId}/projectAccess
200

Successful response

post

Creates an item of type project_access and adds it to projectAccess

Path parameters
organizationIdstringRequired

organization Identifier

projectIdstringRequired

project Identifier

Body
Responses
201

Successful response

application/vnd.api+json
post/organization/{organizationId}/project/{projectId}/projectAccess
201

Successful response

get

Returns an instance of type project_access

Path parameters
organizationIdstringRequired

organization Identifier

projectIdstringRequired

project Identifier

projectAccessIdstringRequired

project_access Identifier

Query parameters
Responses
200

Successful response

application/vnd.api+json
get/organization/{organizationId}/project/{projectId}/projectAccess/{projectAccessId}
200

Successful response

patch

Modifies an instance of type project_access

Path parameters
organizationIdstringRequired

organization Identifier

projectIdstringRequired

project Identifier

projectAccessIdstringRequired

project_access Identifier

Body
Responses
204

Successful response

No content

patch/organization/{organizationId}/project/{projectId}/projectAccess/{projectAccessId}
204

Successful response

No content

delete

Deletes an instance of type project_access

Path parameters
organizationIdstringRequired

organization Identifier

projectIdstringRequired

project Identifier

projectAccessIdstringRequired

project_access Identifier

Responses
204

Successful response

No content

delete/organization/{organizationId}/project/{projectId}/projectAccess/{projectAccessId}
204

Successful response

No content

For a complete list of organization operation please visit the OpenAPI specification

Last updated

Was this helpful?